import dayjs from "dayjs";
// module/chats/components/message-system/message-system.ts
Component({
  properties: {
    payload: { type: Object, value: { title: '', date: '' } }
  },
  observers: {
    'payload.date'(value) {
      if (value) this.setData({ date: dayjs(value).format('MM-DD HH:mm:ss') })
    }
  },
  data: {
    date:''
  }
})